## alabaster 0.7.16

=== docs/requirements.txt ===
Sphinx>=3.4

## alabaster 0.6.1

=== debian/changelog ===
alabaster (0.6.1-1) unstable; urgency=medium

  * Imported Upstream version 0.6.1
  * Initial release
  * Add lintian overrides for layout template file

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 22 Sep 2014 14:38:33 -0400

=== debian/control ===
Source: alabaster
Section: python
Priority: extra
Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.5
Homepage: https://github.com/bitprophet/alabaster
Vcs-Git: https://github.com/jbouse-debian/alabaster.git
Vcs-Browser: https://github.com/jbouse-debian/alabaster
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2


Package: python-alabaster
Architecture: all
Depends: python-sphinx, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Configurable sidebar-enabled Sphinx theme (Python 2)
 This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially
 as used in his Requests project), which was itself originally based on
 @mitsuhiko's theme used for Flask & related projects.
 .
 This is the Python 2 version of the package.

Package: python3-alabaster
Architecture: all
Depends: python3-sphinx, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Configurable sidebar-enabled Sphinx theme (Python 3)
 This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially
 as used in his Requests project), which was itself originally based on
 @mitsuhiko's theme used for Flask & related projects.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
# watch control file for uscan

# See uscan(1) for how to set this file properly
#  * uupdate(1) for upgrade a source code package
#  * gbp-import-orig(1) with --uscan for upgrade GIT repo

version=3
https://github.com/bitprophet/alabaster/tags .*/(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)

## alabaster 0.7.6

=== debian/changelog ===
alabaster (0.7.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Nov 2015 09:50:50 +0100

alabaster (0.7.6-1) unstable; urgency=medium

  * Imported Upstream version 0.7.6
  * Update debian/copyright

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 08 Jul 2015 10:26:20 -0400

alabaster (0.7.3-1) unstable; urgency=medium

  * Imported Upstream version 0.7.3

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 22 Mar 2015 23:54:17 -0400

alabaster (0.7.2-1) unstable; urgency=medium

  * Imported Upstream version 0.7.2 (Closes: #780345)
  * Update Standards-Version (no changes needed)
  * README.md renamed to README.rst upstream

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 12 Mar 2015 22:22:27 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/bitprophet/alabaster
 Vcs-Git: https://github.com/jbouse-debian/alabaster.git
 Vcs-Browser: https://github.com/jbouse-debian/alabaster

## alabaster 0.7.7

=== debian/changelog ===
alabaster (0.7.7-1) unstable; urgency=medium

  * Imported Upstream version 0.7.7
  * Update debian/copyright for setup.cfg
  * Update debian/watch to use pypi.debian.net

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 03 Mar 2016 09:58:46 -0500

alabaster (0.7.6-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Demote sphinx from Depends to Suggests. (Closes: #783794)
  * Set priority to optional.

  [ Jeremy T. Bouse ]
  * Upgrade Standards-Version to 3.9.7 no changes needed

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 02 Mar 2016 19:18:51 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: alabaster
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Jeremy T. Bouse <jbouse@debian.org>
 Build-Depends: debhelper (>=9),
                dh-python,
@@ -8,7 +8,7 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/bitprophet/alabaster
 Vcs-Git: https://github.com/jbouse-debian/alabaster.git
 Vcs-Browser: https://github.com/jbouse-debian/alabaster
@@ -18,7 +18,8 @@
 
 Package: python-alabaster
 Architecture: all
-Depends: python-sphinx, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
+Suggests: python-sphinx
 Provides: ${python:Provides}
 Description: Configurable sidebar-enabled Sphinx theme (Python 2)
  This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially
@@ -29,7 +30,8 @@
 
 Package: python3-alabaster
 Architecture: all
-Depends: python3-sphinx, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Suggests: python3-sphinx
 Provides: ${python3:Provides}
 Description: Configurable sidebar-enabled Sphinx theme (Python 3)
  This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially

## alabaster 0.7.8

=== debian/changelog ===
alabaster (0.7.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936114

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 23:22:09 -0400

alabaster (0.7.8-1) unstable; urgency=medium

  * Imported Upstream version 0.7.8
  * Update Standards-Version (no changes needed)
  * Update Priority to match override
  * Update debian/copyright file references

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 11 Jun 2016 23:18:07 -0400

=== debian/control ===
Source: alabaster
Section: python
Priority: extra
Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/bitprophet/alabaster
Vcs-Git: https://github.com/jbouse-debian/alabaster.git
Vcs-Browser: https://github.com/jbouse-debian/alabaster

Package: python3-alabaster
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-sphinx
Provides: ${python3:Provides}
Description: Configurable sidebar-enabled Sphinx theme (Python 3)
 This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially
 as used in his Requests project), which was itself originally based on
 @mitsuhiko's theme used for Flask & related projects.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME=alabaster

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3 --buildsystem=pybuild

# To support python2.7 and python3, there are 2 ways to package:
#   * packaging with --buildsystem=pybuild (jessie and later)
#     https://wiki.debian.org/Python/Pybuild
#     https://wiki.debian.org/Python/LibraryStyleGuide
#
#   * packaging without --buildsystem=pybuild (wheezy)
#     https://wiki.debian.org/Python/AppStyleGuide
#

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/alabaster/alabaster-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## alabaster 0.7.12

=== debian/changelog ===
alabaster (0.7.12-1) unstable; urgency=medium

  * Make the output reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: 839633)
  * New upstream version 0.7.12 (Closes: 896923)
  * Add externally referenced image (Closes: 869693)
  * Update lintian overrides (Closes: 896114)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 13 Jun 2021 16:25:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: alabaster
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Jeremy T. Bouse <jbouse@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
 Homepage: https://github.com/bitprophet/alabaster
 Vcs-Git: https://github.com/jbouse-debian/alabaster.git
 Vcs-Browser: https://github.com/jbouse-debian/alabaster

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME=alabaster

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/, pgpsigurlmangle=s/$/.asc/" \
https://pypi.debian.net/alabaster/alabaster-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## alabaster 0.7.16

=== debian/changelog ===
alabaster (0.7.16-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Update lintian override info format in d/python3-alabaster.lintian-
    overrides on line 4-8.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-
    Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Dmitry Shachnev ]
  * New upstream version 0.7.16. (Closes: #1069759)
  * Stop validating tarball signatures, PyPI no longer supports them.
  * Build-depend on flit and pybuild-plugin-pyproject instead of
    setuptools.
  * Update GitHub links for the new repository owner (sphinx-doc).
  * Bump year in debian/copyright and use a wildcard for all files.
  * Update 0002 patch for upstream switch to github.blog.
  * Update debian/python3-alabaster.lintian-overrides for pointed hints.
  * Fix spelling-error-in-patch-description warning about 0001 patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 May 2024 21:17:17 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Jeremy T. Bouse <jbouse@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
-               python3-setuptools
-Standards-Version: 4.5.1
-Homepage: https://github.com/bitprophet/alabaster
+               flit (>= 3.7),
+               pybuild-plugin-pyproject,
+               python3-all
+Standards-Version: 4.6.2
+Homepage: https://github.com/sphinx-doc/alabaster
 Vcs-Git: https://github.com/jbouse-debian/alabaster.git
 Vcs-Browser: https://github.com/jbouse-debian/alabaster

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/" \
https://pypi.debian.net/alabaster/alabaster-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## alabaster 1.0.0

=== debian/changelog ===
alabaster (1.0.0-1) unstable; urgency=medium

  * Hand over to Debian Python Team
  * Minimal gbp.conf for Debian Python Team
  * Update watch file
  * New upstream version 1.0.0 (Closes: #1111837)
  * Drop osbolete patch
  * Drop subst variables that are not defined
  * Bump Standards-Version, drop Priority (now the default)
  * Drop constraint for flit
  * Update package description
  * Review lintian overrides, provide details
  * Enable Salsa CI

 -- Arnaud Rebillout <arnaudr@debian.org>  Fri, 06 Feb 2026 12:04:01 +0700

=== debian/control ===
Source: alabaster
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Arnaud Rebillout <arnaudr@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flit,
               pybuild-plugin-pyproject,
               python3-all
Standards-Version: 4.7.3
Homepage: https://github.com/sphinx-doc/alabaster
Vcs-Git: https://salsa.debian.org/python-team/packages/alabaster.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/alabaster

Package: python3-alabaster
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Suggests: python3-sphinx
Description: Alabaster theme for Sphinx
 Alabaster is a visually (c)lean, responsive, configurable theme for the
 Sphinx documentation system.
 .
 As of Sphinx 1.3, Alabaster is an install-time dependency of Sphinx and
 is selected as the default theme.

=== debian/watch ===
Version: 5

Template: Pypi
Dist: alabaster

## alabaster 1.10.0

=== DESCRIPTION ===
Package: alabaster
Title: Umbrella for the Alabaster Framework
Version: 1.10.0
Date: 2023-01-10
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Umbrella for the alabaster suite, providing a single-line import for all alabaster.* packages.
    Installing this package ensures that all known alabaster.* packages are also installed,
    avoiding problems with missing packages when a staging method or loading function is dynamically requested.
    Obviously, this comes at the cost of needing to install more packages,
    so advanced users and application developers may prefer to install the required alabaster.* packages individually.
Depends: alabaster.base
Imports: alabaster.matrix, alabaster.ranges, alabaster.se,
        alabaster.sce, alabaster.spatial, alabaster.string,
        alabaster.vcf, alabaster.bumpy, alabaster.mae
Suggests: knitr, rmarkdown, BiocStyle
VignetteBuilder: knitr
RoxygenNote: 7.2.3
biocViews: DataRepresentation, DataImport
git_url: https://git.bioconductor.org/packages/alabaster
git_branch: RELEASE_3_22
git_last_commit: a1c102b
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 02:28:11 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

## alabaster 1.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: alabaster
 Title: Umbrella for the Alabaster Framework
-Version: 1.10.0
+Version: 1.11.0
 Date: 2023-01-10
 Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
 License: MIT + file LICENSE
@@ -19,12 +19,12 @@
 RoxygenNote: 7.2.3
 biocViews: DataRepresentation, DataImport
 git_url: https://git.bioconductor.org/packages/alabaster
-git_branch: RELEASE_3_22
-git_last_commit: a1c102b
+git_branch: devel
+git_last_commit: 5b636ef
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-11-04
 NeedsCompilation: no
-Packaged: 2025-10-30 02:28:11 UTC; biocbuild
+Packaged: 2025-11-04 21:08:37 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>
